#
# ciobinfo.awk, 14 Sep 23


function print_page()
{
for (p=1; p <= lpp; p++)
   print ProgPara[p] "," Baseline[p] "," McCabe[p] "," Maxnest[p] "," Infoflow[p]
for (p=1; p <= lpp; p++)
   {
   ProgPara[p]="NA,NA"
   Baseline[p]="NA,NA,NA,NA"
   McCabe[p]="NA,NA,NA,NA"
   Maxnest[p]="NA,NA,NA,NA"
   Infoflow[p]="NA,NA,NA,NA"
   }
}


BEGIN {
	file_line=0
	cur_line=0
	lpp=66  # lines per page
	print "Program,Paragraph,stmts,s_oct,s_jan,s_apr,McCabe,mc_oct,mc_jan,mc_apr,Max_nest,m_oct, mn_jan, mn_apr,Info_flow,if_oct, if_jan,i_apr"
	column=""
	}

	{
	file_line++
	}

$1 == "****" {
	lpp=$2
	next
	}

$0 == "Program,Paragraph" {
	print_page()
	cur_line=0
	column=$0
	delete page_info
	next
	}

$0 == "Baseline" {
	cur_line=0
	column=$0
	next
	}

$0 == "McCabe" {
	cur_line=0
	column=$0
	next
	}

$0 == "Max nest" {
	cur_line=0
	column=$0
	next
	}

$0 == "Information flow" {
	cur_line=0
	column=$0
	next
	}

cur_line <= lpp {
	cur_line++
	if (column == "Program,Paragraph")
	   ProgPara[cur_line]=$0
	else if (column == "Baseline")
	   Baseline[cur_line]=$0
	else if (column == "McCabe")
	   McCabe[cur_line]=$0
	else if (column == "Max nest")
	   Maxnest[cur_line]=$0
	else if (column == "Information flow")
	   Infoflow[cur_line]=$0
	else
	   print cur_line "unknown column"
	next
	}

	{
	print $0 " unknown at " file_line
	next
	}

